Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZConsultation Member List

This is the complete list of members for eZConsultation, including all inherited members.

$Date | eZConsultation |
$Description | eZConsultation |
$EmailNotice | eZConsultation |
$ID | eZConsultation |
$ShortDesc | eZConsultation |
$State | eZConsultation |
__construct( $id=-1) | eZConsultation |
addConsultationToCompany( $company, $user) | eZConsultation |
addConsultationToPerson( $person, $user) | eZConsultation |
addEmail( $email) | eZConsultation |
addGroup( $group) | eZConsultation |
belongsTo( $consultationid, $user) | eZConsultation | static
company( $user=false) | eZConsultation |
companyConsultationCount( $company, $user) | eZConsultation | static
date() | eZConsultation |
delete( $id=false) | eZConsultation |
description() | eZConsultation |
emailList() | eZConsultation |
emails() | eZConsultation |
findConsultationsByContact( $contact, $user, $OrderBy="ID", $is_person=true, $index=0, $max=-1, $relations=false) | eZConsultation | static
findConsultationsByDate( $user, $startTime, $endTime) | eZConsultation | static
findConsultationsByState( $state) | eZConsultation | static
findConsultedCompanies( $user) | eZConsultation | static
findConsultedPersons( $user) | eZConsultation | static
findLatestConsultations( $user, $max) | eZConsultation | static
get( $id=-1) | eZConsultation |
groupIDList() | eZConsultation |
groupList() | eZConsultation |
id() | eZConsultation |
notificators() | eZConsultation |
owner( $id=-1, $is_person=true) | eZConsultation |
person( $user=false) | eZConsultation |
personConsultationCount( $person, $user) | eZConsultation |
removeConsultationFromCompany( $company, $user) | eZConsultation |
removeConsultationFromPerson( $person, $user) | eZConsultation |
removeEmail( $email) | eZConsultation |
removeGroup( $group) | eZConsultation |
removeGroups() | eZConsultation |
setDate( $date) | eZConsultation |
setDescription( $desc) | eZConsultation |
setEmail( $emails) | eZConsultation |
setShortDescription( $desc) | eZConsultation |
setState( $state) | eZConsultation |
shortDescription() | eZConsultation |
state() | eZConsultation |
stateName( $state) | eZConsultation | static
store() | eZConsultation |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.